#include <SoftwareSerial.h> //Librería que permite establecer comunicación serie en otros pins
 
//Aquí conectamos los pins RXD,TDX del módulo Bluetooth.
SoftwareSerial BT(2,3); //10 RX, 11 TX.

char entrada[100]="LedFelipe"; 
int contador;
boolean stringComplete = true;  

void setup()
{
  pinMode(13, OUTPUT);
  for(contador=4;contador<=13;contador++)  pinMode(contador, OUTPUT);
  BT.begin(38400); //Velocidad del puerto del módulo Bluetooth
  Serial.begin(9600); //Abrimos la comunicación serie con el PC y establecemos velocidad
  digitalWrite(13, LOW);
}
 

void loop() {
  
  if(Serial.available())
  {
     BT.write(Serial.read());
  }
  
  while (BT.available())
  {
    char inChar = (char)BT.read(); 
    entrada[contador]=inChar;  
    if (inChar == '\n')
        {
          stringComplete = true;
          entrada[contador]=0;
        } 
    contador++;
    /*
    Serial.print(contador);
    Serial.print("-");
    Serial.print(inChar,DEC);
    Serial.print("-");
    */
  }
  
  if (stringComplete) 
    {    
    if(!strcmp(entrada,"0Dig13")){digitalWrite(13, LOW);  goto salto0;}
    if(!strcmp(entrada,"1Dig13")){digitalWrite(13, HIGH); goto salto0;}
    
    if(!strcmp(entrada,"0Dig12")){digitalWrite(12, LOW); goto salto0;}
    if(!strcmp(entrada,"1Dig12")){digitalWrite(12, HIGH); goto salto0;}
    
    if(!strcmp(entrada,"0Dig11")){digitalWrite(11, LOW); goto salto0;}
    if(!strcmp(entrada,"1Dig11")){digitalWrite(11, HIGH); goto salto0;}
    
    if(!strcmp(entrada,"0Dig10")){digitalWrite(10, LOW); goto salto0;}
    if(!strcmp(entrada,"1Dig10")){digitalWrite(10, HIGH); goto salto0;}
    
    if(!strcmp(entrada,"0Dig9")){digitalWrite(9, LOW); goto salto0;}
    if(!strcmp(entrada,"1Dig9")){digitalWrite(9, HIGH); goto salto0;}
    
    if(!strcmp(entrada,"0Dig8")){digitalWrite(8, LOW); goto salto0;}
    if(!strcmp(entrada,"1Dig8")){digitalWrite(8, HIGH); goto salto0;}
    
    if(!strcmp(entrada,"0Dig7")){digitalWrite(7, LOW); goto salto0;}
    if(!strcmp(entrada,"1Dig7")){digitalWrite(7, HIGH); goto salto0;}
    
    if(!strcmp(entrada,"0Dig6")){digitalWrite(6, LOW); goto salto0;}
    if(!strcmp(entrada,"1Dig6")){digitalWrite(6, HIGH); goto salto0;}
    
    if(!strcmp(entrada,"0Dig5")){digitalWrite(5, LOW); goto salto0;}
    if(!strcmp(entrada,"1Dig5")){digitalWrite(5, HIGH); goto salto0;}
    
    if(!strcmp(entrada,"0Dig4")){digitalWrite(4, LOW); goto salto0;}
    if(!strcmp(entrada,"1Dig4")){digitalWrite(4, HIGH); goto salto0;}
    
    BT.print(" Error->");
    Serial.print(" Error->");
    goto salto1;
salto0:        
    BT.print(" OK->");
    Serial.print(" OK->");
salto1:    
    BT.println(entrada);
    Serial.println(entrada);
    contador=0;
    stringComplete = false;
  }
}

